<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Helper\Migrator</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::">
            <span class="description"></span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getMapping" title="getMapping ::Return the ordered mapping from old PHPExcel class names to new PhpSpreadsheet one.">
            <span class="description">Return the ordered mapping from old PHPExcel class names to new PhpSpreadsheet one.</span><pre>getMapping</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_migrate" title="migrate ::">
            <span class="description"></span><pre>migrate</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_replace" title="replace ::Migrate the given code from PHPExcel to PhpSpreadsheet.">
            <span class="description">Migrate the given code from PHPExcel to PhpSpreadsheet.</span><pre>replace</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_recursiveReplace" title="recursiveReplace ::Search in all files in given directory.">
                                <span class="description">Search in all files in given directory.</span><pre>recursiveReplace</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Migrator</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>__construct</h2>
                            <pre>__construct()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getMapping"></a>
                        <div class="element clickable methodpublic method_getMapping" data-toggle="collapse" data-target=".method_getMapping .collapse">
                            <h2>Return the ordered mapping from old PHPExcel class names to new PhpSpreadsheet one.</h2>
                            <pre>getMapping(): array&lt;mixed,string&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,string&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_migrate"></a>
                        <div class="element clickable methodpublic method_migrate" data-toggle="collapse" data-target=".method_migrate .collapse">
                            <h2>migrate</h2>
                            <pre>migrate()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_recursiveReplace"></a>
                        <div class="element clickable methodprivate method_recursiveReplace" data-toggle="collapse" data-target=".method_recursiveReplace .collapse">
                            <h2>Search in all files in given directory.</h2>
                            <pre>recursiveReplace(string $path)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$path</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_replace"></a>
                        <div class="element clickable methodpublic method_replace" data-toggle="collapse" data-target=".method_replace .collapse">
                            <h2>Migrate the given code from PHPExcel to PhpSpreadsheet.</h2>
                            <pre>replace(string $original): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$original</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_from"> </a>
                            <div class="element clickable propertyprivate property_from" data-toggle="collapse" data-target=".property_from .collapse">
                                <h2>from</h2>
                                <pre>from :array&lt;mixed,string&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_to"> </a>
                            <div class="element clickable propertyprivate property_to" data-toggle="collapse" data-target=".property_to .collapse">
                                <h2>to</h2>
                                <pre>to :array&lt;mixed,string&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Helper\Migrator"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Helper.html">Helper</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Helper.Migrator.html">Migrator</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:56 +0000.<br/>
    </footer></body>
</html>
